Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1573815 - Upgrade of FC27 to FC28 fails with exit to emergency mode due to VolGroup timeout
Summary: Upgrade of FC27 to FC28 fails with exit to emergency mode due to VolGroup tim...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 10:02 UTC by Andrew Roberts
Modified: 2019-05-28 18:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 18:57:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Andrew Roberts 2018-05-02 10:02:48 UTC
Description of problem:

Upgrading from FC27 to FC28 failed with an exit to emergency mode. The log files contained thousands of lines like this:

May 02 10:32:27 localhost.localdomain systemd-udevd[556]: Process 'hid2hci --met
hod=dell --devpath=/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0' fa
iled with exit code 1.

This seemed to cause the system to run very slowly, and causes a timeout mapping the home file system logical volume.

Version-Release number of selected component (if applicable):

uname -a
Linux localhost.localdomain 4.16.5-300.fc28.x86_64 #1 SMP Fri Apr 27 17:38:36 UT
C 2018 x86_64 x86_64 x86_64 GNU/Linux

rpm -qa | grep systemd-udev
systemd-udev-238-7.fc28.1.x86_64

lspci | grep 1a.0
00:1a.0 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controll
er #4 (rev 03)

Laptop is: Dell Inc. Studio 1737/0P786H, BIOS A09 04/14/2011
CPU Is: Intel(R) Core(TM)2 Duo CPU     P8600  @ 2.40GHz

How reproducible:

On this laptop always. 


Steps to Reproduce:
1. Install FC28 on system with this PCI device.

Expected Results:

systemd-udev should not be continually retrying whatever it is doing to this device, and slowing the system down.

Workaround:

I was able to work around this by altering the fstab entry for the home filesystem. Adding x-systemd.device-timeout=3m allowed the system to boot normally after the upgrade. 

The system still continues to run slowly with the log file filling up at the rate of about 50 new entries a second. Some are being suppressed to to limiting...

Comment 1 Ben Cotton 2019-05-02 21:53:13 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-28 18:57:56 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.